[ARVADOS-DEV] updated: 823a16ae78acdadd17d6f563dfafe4678c364906
git at public.curoverse.com
git at public.curoverse.com
Mon Aug 31 15:21:31 EDT 2015
Summary of changes:
jenkins/common-test-packages.sh | 5 +++++
jenkins/deb-common-test-packages.sh | 4 +++-
jenkins/test-packages-centos6.sh | 4 +++-
3 files changed, 11 insertions(+), 2 deletions(-)
via 823a16ae78acdadd17d6f563dfafe4678c364906 (commit)
from 21a3d01379891f2670991e4d24804e1dc87a1ab1 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 823a16ae78acdadd17d6f563dfafe4678c364906
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Mon Aug 31 15:23:00 2015 -0400
Tests compatible libcloud package is installed.
diff --git a/jenkins/common-test-packages.sh b/jenkins/common-test-packages.sh
index 52bbba0..c9d77c8 100755
--- a/jenkins/common-test-packages.sh
+++ b/jenkins/common-test-packages.sh
@@ -15,6 +15,11 @@ if ! python <<EOF
import arvados
import arvados_fuse
print "Successly imported arvados and arvados_fuse"
+
+import libcloud.compute.types
+import libcloud.compute.providers
+libcloud.compute.providers.get_driver(libcloud.compute.types.Provider.AZURE_ARM)
+print "Successly imported compatible libcloud library"
EOF
then
FAIL=1
diff --git a/jenkins/deb-common-test-packages.sh b/jenkins/deb-common-test-packages.sh
index d781c8b..f40ba7b 100755
--- a/jenkins/deb-common-test-packages.sh
+++ b/jenkins/deb-common-test-packages.sh
@@ -25,7 +25,9 @@ fi
echo "deb file:///mnt /" >>/etc/apt/sources.list
apt-get -qq update
-if ! apt-get -qq --assume-yes --force-yes install python-arvados-python-client python-arvados-fuse ; then
+if ! apt-get -qq --assume-yes --force-yes install \
+ python-arvados-python-client python-arvados-fuse arvados-node-manager
+then
exit 1
fi
diff --git a/jenkins/test-packages-centos6.sh b/jenkins/test-packages-centos6.sh
index 580bb27..555b9f1 100755
--- a/jenkins/test-packages-centos6.sh
+++ b/jenkins/test-packages-centos6.sh
@@ -40,7 +40,9 @@ EOF
yum -q clean all
yum -q update
-if ! yum -q install --assumeyes python27-python-arvados-python-client python27-python-arvados-fuse ; then
+if ! yum -q install --assumeyes \
+ python27-python-arvados-python-client python27-python-arvados-fuse arvados-node-manager
+then
exit 1
fi
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list